routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


// files
Route::get('/img/original_{path}', fn($path) => redirect()->route('img', ['path' => $path], 301));

Route::get('/img/{path}', 'ImageController@show')
	->where('path', '.*')
	// ->middleware('cache.headers:public;max_age=2628000;etag')
	->name('img');
Route::get('/media_gallery/{path}', fn($path) => 
	redirect()->route('img', ['path' => str_replace('original_','',$path)], 301));
Route::get('/file/{file}/{name?}', 'FileController@download')->name('file');

Route::prefix(request()->segment(1))
		->middleware(['localized'])
		->group(function() {

	/* Generic routes */
	Route::get('/item/{id}:{slug?}', 'ItemController@show')
			->name('item.show');

	Route::get('/collection/{id}:{slug?}', 'CollectionController@show')
			->name('collection');

	Route::get('/country/{id}:{slug?}', 'CollectionController@showCountry')
			->name('country');
	Route::get('/country/{id}:{slug?}/details/{slotId}:{slotSlug?}', 
			'CollectionController@showCountrySlot')
			->name('country.slot');
	Route::get('/country/{id}:{slug?}/articles', 'CollectionController@listCountryArticles')
			->name('country.articles');
	Route::get('/country/{id}:{slug?}/development-cooperation-projects', 'CollectionController@listCountryDCProjects')
			->name('country.dcprojects');

			

	Route::get('/region/{id}:{slug?}', 'CollectionController@show')
			->name('region');

	Route::get('/author/{id}:{slug?}', 'CollectionController@show')
			->name('author');
	Route::get('/authors', 'CollectionController@listAuthors')
			->name('authors');

	Route::get('/dossier/{id}:{slug?}', 'CollectionController@show')
			->name('dossier');
	Route::get('/dossier/{parent_id}:{parent_slug?}/{id}:{slug?}', 'CollectionController@showSub')
			->name('dossier.sub');
	Route::get('/spotlight', 'CollectionController@show')
			->defaults('id', config('eiie.collection.spotlight'))
			->name('spotlight');
	Route::get('/campaigns', 'CollectionController@show')
			->defaults('id', config('eiie.collection.campaigns'))
			->name('campaigns');
	
	Route::get('/workarea/{id}:{slug?}', 'CollectionController@show')
			->name('workarea');
	
	/* STATIC routes */
	Route::get('/', 'HomeController@show')
			->name('home');
	Route::get('/news', 'CollectionController@show')
		->defaults('id', config('eiie.collection.news'))
		->name('news');
	Route::get('/regions', 'CollectionController@show')
		->defaults('id', config('eiie.collection.regions-group'))
		->name('regions');
	Route::get('/priorities', 'CollectionController@show')
		->defaults('id', config('eiie.collection.priorities'))
		->name('priorities');
	Route::get('/affiliates', 'ItemController@listAffiliates')
		->name('affiliates');

	Route::get('/search', 'SearchController@show')
		->name('search');
	// Route::get('/search/{keyword}', 'SearchController@search')
	// 	->name('search-keyword');

	Route::get('/news/take-action', 'CollectionController@show')
			->defaults('id', config('eiie.collection.take-action'))
			->name('take-action');
	Route::get('/opinion', 'CollectionController@show')
			->defaults('id', config('eiie.collection.opinion'))
			->name('opinion');
	Route::get('/news/statements', 'CollectionController@show')
			->defaults('id', config('eiie.collection.statements'))
			->name('statements');

			

	/* ABOUT */
	Route::prefix('about')->name('about.')->group(function() {
		Route::get('/who-we-are', 'ItemController@show')
			->defaults('id', config('eiie.item.who-we-are'))
			->name('who-we-are');
		Route::get('/origins-and-history', 'ItemController@showByOldId')
			->defaults('id', config('eiie.old_item.origins-and-history'))
			->name('origins-and-history');
		Route::get('/principal-aims', 'ItemController@showByOldId')
			->defaults('id', config('eiie.old_item.principal-aims'))
			->name('principal-aims');
		Route::get('/global-unions', 'ItemController@showByOldId')
			->defaults('id', config('eiie.old_item.global-unions'))
			->name('global-unions');
		Route::get('/jobs', 'CollectionController@show')
			->defaults('id', config('eiie.collection.jobs'))
			->name('jobs');
		Route::get('/call-for-proposals', 'ItemController@showByOldId')
			->defaults('id', 15649)
			->name('call-for-proposals');	
		Route::get('/our-leaders', 'CollectionController@show')
			->defaults('id', config('eiie.collection.executive-board'))
			->name('leaders');
		Route::get('/our-team', 'CollectionController@show')
			->defaults('id', config('eiie.collection.staff'))
			->name('team');
	});
	/* GOVERNANCE */
	Route::get('/governance', 'CollectionController@show')
		->defaults('id', config('eiie.collection.governance'))
		->name('governance');
	Route::prefix('governance')->name('governance.')->group(function() {
		Route::get('/constitution-and-bylaws', 'CollectionController@show')
			->defaults('id', config('eiie.collection.constitutional-documents'))
			->name('constitution-and-bylaws');
		Route::get('/world-congress', 'CollectionController@show')
			->defaults('id', config('eiie.collection.world-congress'))
			->name('world-congress');
		Route::get('/annual-reports', 'CollectionController@show')
			->defaults('id', config('eiie.collection.annual-reports'))
			->name('annual-reports');
	});
	
	/* CONTACT */
	Route::prefix('contact')->name('contact.')->group(function() {
		Route::get('/ei-ie', 'ContactController@show')
			->name('ei-ie');
		Route::post('/ei-ie', 'ContactController@contactPost')
			->middleware('recaptcha.score')
			->name('form-post');
		// Route::get('/members', 'ItemController@listAffiliates')
		// 	->name('members');
		Route::get('/legal-notice', 'ItemController@showByOldId')
			->defaults('id', 4380)
			->name('legal-notice');
		Route::get('/data-protection-policy', 'ItemController@showByOldId')
			->defaults('id', 15833)
			->name('data-protection-policy');
		Route::get('/newsletter', 'NewsletterController@show')
			->name('newsletter')
			;
	});

	Route::prefix('resources')->name('resources.')->group(function() {
		Route::get('/world-congress-resolutions', 'CollectionController@show')
			->defaults('id', config('eiie.collection.congress-resolutions'))
			->name('world-congress-resolutions');
		Route::get('/publications-and-research', 'CollectionController@show')
			->defaults('id', config('eiie.collection.publications-and-research'))
			->name('publications-and-research');
		Route::get('/policy-briefs', 'CollectionController@show')
			->defaults('id', config('eiie.collection.policy-briefs'))
			->name('policy-briefs');
		Route::get('/videos', 'ItemController@listResources')
			->defaults('subtype', 'video')
			->name('videos');	
		Route::get('/podcasts', 'SoundCloudController@show')
			->name('podcasts');	
		Route::get('/development-cooperation-projects', 'ItemController@listDCProjects')
			->name('dcprojects');			
	});


	// Old site redirects
	Route::get('/child_dossier', fn() => redirect()->route('spotlight', [], 301));
	Route::get('/contactus', fn() => redirect()->route('contact.ei-ie', [], 301));
	Route::get('/country_profile_list', fn() => redirect()->route('regions', [], 301));
	Route::get('/country-profile-page/{id?}/{section_id?}/{title?}', 'RedirectController@country_profile');
	Route::get('/country-profile', fn() => redirect()->route('regions', [], 301));
	Route::get('/dco_project/{country_id?}/{post_id?}/{title?}', fn() => redirect()->route('dcprojects'));
	Route::get('/dco', fn() => redirect()->route('dcprojects'));
	Route::get('/dco/{country_id?}', fn() => redirect()->route('dcprojects'));
	Route::get('/detail_eb/{id}/{slug?}', 'RedirectController@detail_executive_board');
	Route::get('/detail_page/{id}/{slug?}', 'RedirectController@detail_page');	
	Route::get('/detail_staff/{id?}/{title?}', fn() => redirect()->route('about.team', [], 301));
	Route::get('/detail/{id}/{slug?}', 'RedirectController@detail');
	Route::get('/documents', fn() => redirect()->route('resources.publications-and-research', [], 301));
	Route::get('/dossier', fn() => redirect()->route('spotlight', [], 301));
	Route::get('/dossierdetail/{id}/{slug?}', 'RedirectController@dossierdetail');
	Route::get('/eiie-organizations', fn() => redirect()->route('affiliates'));
	Route::get('/executive_board', fn() => redirect()->route('about.leaders', [], 301));
	Route::get('/issues_actions', fn() => redirect()->route('take-action'));
	Route::get('/media_detail/{id?}/{slug?}', 'RedirectController@detail_media');
	Route::get('/media-list', fn() => redirect()->route('resources.videos', [], 301));
	Route::get('/medias', fn() => redirect()->route('resources.videos', [], 301));
	Route::get('/members', fn() => redirect()->route('affiliates'));
	Route::get('/podcasts', fn() => redirect()->route('resources.podcasts', [], 301));
	Route::get('/reseach_feed/{pageNo?}/{position?}', fn() => redirect()->route('resources.publications-and-research', [], 301));
	Route::get('/resolutions/constitution', fn() =>redirect()->route('governance.constitution-and-bylaws', 301));
	Route::get('/resolutions/resolutions', fn() => redirect()->route('resources.world-congress-resolutions', 301));
	Route::get('/resolutions/statements', fn() =>redirect()->route('collection', ['id' => config('eiie.collection.general-ei-declaration'), 'slug' => '-'], 301));
	Route::get('/searchitem', fn() => redirect()->route('search', [], 301));
	Route::get('/sound_cloud', fn() => redirect()->route('resources.podcasts', [], 301));
	Route::get('/soundcloud-tracks', fn() => redirect()->route('resources.podcasts', [], 301));
	Route::get('/staff_profiles', fn() => redirect()->route('about.team', [], 301));
	Route::get('/woe_homepage', fn() => redirect()->route('home', [], 301));

resources/views/app.blade.php
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap" />
   <!--  <script src="{{ mix('/js/app.js') }}" defer></script> -->
    <script src="{{url('public/js/app.js')}}" defer></script>
    <style type="text/css">
      body {
        margin: 0;
        padding: 0;
      }
    </style>
    <title>Ei-iE.org Admin</title>
  </head>
  <body>
    @routes
    @inertia
  </body>
</html>

resources/views/contactus.blade.php
@extends('main')

@section('title', $labelsArr['Education International'])

@section('head')
    @parent 
    <script src="https://www.google.com/recaptcha/api.js"></script>
    <script>
        function onSubmit(token) {
            //Added validation by Cyblance
            var email=document.getElementById("email").value;
            var message=document.getElementById("message").value;
            if(email==''){
                document.getElementById("email").focus();
                document.getElementById('err_email').innerHTML='Email Field is Required';               
                return false ;
            }else if(message==''){
                document.getElementById("message").focus();
                document.getElementById('err_message').innerHTML='Message Field is Required'; 
                return false;
            }else{
                document.getElementById("contact-form").submit();
            }
        }
    </script>
    <style type="text/css">
    .grecaptcha-badge { 
        visibility: hidden; 
    }
    </style>
@endsection 

@section('content')
<div class="no_lead_image"></div>

<article class="article_main ">
    <header>
        <h2>{{ $labelsArr['Contact Us'] }}</h2>
    </header>

    <main>
        @if(session('success'))
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
        @endif

        <form id="contact-form" method="POST" action="{{ route('contact.form-post') }}">
            @csrf
            <label>
                <span>{{ $labelsArr['First name'] }}</span>
                <input type="text" name="first_name" value="{{ old('first_name') }}" />
            </label>

            <label>
                <span>{{ $labelsArr['Last name'] }}</span>
                <input type="text" name="last_name" value="{{ old('last_name') }}" />
            </label>

            <label>
                <!--Added * by cyblance to show mendetory fields-->
                <span>{{ $labelsArr['Email'] }}*</span>
                <input type="text" id="email" name="email" value="{{ old('email') }}" />
                <div id="err_email"></div>
                @error('email')
                    <div class="_error">
                        <div class="_error-arrow"></div>
                        <div class="_error-inner">{{ $errors->first('email') }}</div>
                    </div>
                @enderror
            </label>

            <label>
                <span>{{ $labelsArr['Phone number'] }}</span>
                <input type="text" name="phone" value="{{ old('phone') }}" />
            </label>

            {{-- <label>
                <span>{{ $labelsArr['Addressee'] }}</span>
                <select>
                    <optgroup label="EI Headquarters">
                        <option>Unit A</option>
                        <option>Unit B</option>
                    </optgroup>
                    <optgroup label="Region">
                        <option>ETUCE</option>
                        <option>ASIA</option>
                    </optgroup>
                </select>
            </label> --}}

            <label>
                <span>{{ $labelsArr['Topic'] }}</span>
                <input type="text" name="subject" value="{{ old('subject') }}" />
            </label>

            <label>
                 <!--Added * by cyblance to show mendetory fields-->
                <span>{{ $labelsArr['Message'] }}*</span>
                <div id="err_message"></div>
                @error('message')
                    <div class="_error">
                        <div class="_error-arrow"></div>
                        <div class="_error-inner">{{ $errors->first('message') }}</div>
                    </div>
                @enderror
                <textarea id="message" name="message">{{ old('message') }}</textarea>
            </label>

            <button 
                class="g-recaptcha" 
                data-sitekey="6LdW3rYaAAAAAO5KCFJw5XTwvg7v6Hgmf-QOXXVP" 
                data-callback="onSubmit"
            >{{ $labelsArr['Submit'] }}</button>

            <div class="recaptcha-branding">
                {!! $labelsArr['recaptcha_attrib'] !!}
            </div>
        </form>
    </main>
    @isset($offices[0])
        <section class="contact_us_offices affiliates-listing">        
            <header>
                <h3>Offices</h3>
            </header>
            @foreach ($offices as $office)
                @include('shared.card', ['item' => $office])
                {{--
                <article class="contact_us_office card card_affiliate">
                    <h4>{{ $office->content->title }}</h4>
                    @isset ($office->content->contact)
                        @include('shared.contact', ['contact' => $office->content->contact])
                    @endisset
                </article>
                --}}
            @endforeach
        </section>
    @endisset
</article>

@endsection 

resources/views/home.blade.php
@extends('main')

@section('title', $labelsArr['Education International'])

@section('content')

@isset($featured->items[0])
    <section id="features">
        @include('shared.carousel', ['items' => $featured->items()->get(), 'skipCollectionId' => $featured->id])
    </section>
@endisset

<article class="article_main collection_introduction home_introduction">
	<header>
            <h2>{{ $home_item->content->title ?? $labelsArr['Education International'] }}</h2>            
	</header>
        @isset ($home_item)
            <x-render-content :content="$home_item->content" blurbOnly />
        @else 
            {!! $labelsArr['home_intro'] !!}
        @endisset
    <a class="link_subscribe_newsletters" href="{{ route('contact.newsletter') }}">{{ $labelsArr['Subscribe to Our Newsletters'] }}</a>
</article>
@isset ($priorities->subCollections[0])
<section id="workareas">
     <h3 class="collectionHeader" >
        {{ $priorities->content->title ?? $labelsArr['Our Priorities'] }}
    </h3>
    <x-figure :item="$priorities" class="workareas_image" preset="lead" />
    <div class="workareas_intro">
        <x-render-content :content="$priorities->content" blurbOnly />
    </div>
    <ol id="workareas_list">
	@foreach ($priorities->subCollections as $workarea)
        <li>
            <x-link :collection="$workarea">
                {{-- <x-figure :item="$workarea" type="icon" class="collection_icon workarea_icon" /> --}}
				<h4>
						{{ $workarea->content->title ?? '?'}}
				</h4>
            </x-link>
        </li>
    @endforeach
    </ol>
</section>
@endisset 

<main id="collection_main" class="collection_default">
	<section class="collection_content news-listing">
        <h3 class="collectionHeader">{{ $labelsArr['Latest Updates'] }}</h3>
        <ol class="collection_content">
        @foreach ($updates as $item)
            <li>
                @include('shared.card', ['show_blurb' => true, 'primary_collection_variant' => 'typology'])
            </li>
        @endforeach
        </ol>
    </section>

    <section id="home-more-updates">
        <h3 class="collectionHeader">{{ $labelsArr['More updates'] }}</h3>
        <a href="{{ route('news') }}">{{ $labelsArr['News'] }}</a>
        <a href="{{ route('opinion') }}">{{ $labelsArr['Opinion'] }}</a>
        <a href="{{ route('statements') }}">{{ $labelsArr['Statements'] }}</a>
        <a href="{{ route('take-action') }}">{{ $labelsArr['Take action!'] }}</a>
    </section>
</main>
@endsection

resources/views/item.blade.php
@extends('main')

@section('title')
{{ $item->content->title ?? $labelsArr['Education International'] }}
@endsection

@section('pageclass')
    @parent
    
    page_item 
    page_item_type_{{ $item->type }}
    @if ($item->subtype) 
        page_item_subtype_{{ $item->subtype }}
    @endif

    <x-render-content :content="$item->content" mode="pageclass" />
@endsection

@section('head')
    @parent 
    {{-- Go to www.addthis.com/dashboard to customize your tools --}}
    <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-4e6a028c1148864a"></script>
@endsection

@section('collections_nav')
<nav id="collections">
    @foreach ($item->collections as $collection)
        <x-link :collection="$collection" />
    @endforeach

    @foreach ($item->collectionsByGroup() as $type => $collGroup) 
        <div class="collection_group collection_group_{{ $type }}">
            <h4>{{ __("eiie.group_$type") }}</h4>
            <ol>
                @foreach ($collGroup as $collection) 
                    <li><x-link :collection="$collection" /></li>
                @endforeach 
            </ol>
        </div>
    @endforeach

</nav>
@endsection

@section('related_items')
@if (isset($relatedItems) && count($relatedItems))
<section id="related_items" class="collection_content related_collection">
    <h3 class="collectionHeader">{{ $labelsArr['Related Items'] }}</h3>
    <ol class="collection_content">
        @foreach ($relatedItems as $relatedItem)
            <li>
            	@include('shared.card', [
                    'item' => $relatedItem, 
                    'header_level' => '4', 
                ])
            </li>
        @endforeach
    </ol>
</section>
@endif 
@endsection


@section('content')
<x-figure type="lead" 
        :item="$item" 
        class-not-found="no_lead_image" 
        includeCaption
        preset="{{ $item->subtype == 'file' ? 'coverpage' : 'lead' }}"
        />

<article class="article_main article_single">
   
    <header>
        <x-figure type="portrait" :item="$item" preset="portrait" />
        <h2>{{ $item->content->title ?? '' }}</h2>
        @if (isset($item->content) && $item->content->subtitle) 
            <h3 class="subtitle">{{ $item->content->subtitle }}</h3>
        @endif

        <section id="article_header_meta">          
            <section class="collection_links">
                @foreach ($item->collectionsOfType('workarea') as $workarea)
                    <x-link :collection="$workarea" class="collection_link">
                        {{-- 
                        <x-figure :item="$workarea" type="icon" class="collection_icon workarea_icon" /> 
                        --}}
                        <span>{{ $workarea->content->title ?? ''}}</span>
                    </x-link>
                @endforeach

                @foreach ($item->collectionsOfType('dossier') as $dossier)
                    <x-link :collection="$dossier" class="collection_link collection_link_dossier">
                        {{-- 
                        <x-figure :item="$dossier" type="icon" class="collection_icon dossier_icon" />
                        --}}
                        <span>{{ $dossier->content->title ?? ''}}</span>
                    </x-link>
                @endforeach

                @foreach ($item->collectionsOfType('dossier_sub') as $dossier_sub)
                    @php 
                        $dossiers = $dossier_sub->parentCollections->where('type', 'dossier');
                        $dossier = isset($dossiers[0]) ? $dossiers[0] : false;
                    @endphp 
                    @if ($dossier)
                        <x-link :collection="$dossier" class="collection_link collection_link_dossier">
                            {{-- 
                            <x-figure :item="$dossier" type="icon" class="collection_icon dossier_icon" />
                            --}}
                            <span>{{ $dossier->content->title ?? ''}}</span>
                        </x-link>
                    @endif
                @endforeach
            </section> 
            
            @if($item->publish_at)
			    @include('shared.date', ['date' => $item->publish_at, 'label' => $labelsArr['published'], 'class' => 'date-published'])
            @endif

            @isset($item->updated_at)
			    @include('shared.date', ['date' => $item->updated_at, 'label' => $labelsArr['updated'], 'class' => 'date-updated'])
			@endisset
        </section>

         @if ($item->authors_count > 0) 
            <section id="article_authors">
                <span class="label">{{ $labelsArr['written by'] }}:</span>
                @foreach ($item->authors as $author)
                    <div class="article_author">
                        <x-link :collection="$author">
                            @if ($author->portraitImages()->count())
                                <x-figure :item="$author" type="portrait" class="article_author_portrait" />
                            @else 
                                <figure class="author_fallback_portrait article_author_portrait">
                                    <img src="/images/author_fallback.svg" alt="Fallback portrait authors" />
                                </figure>
                            @endisset
                            <span>
                                {{ $author->content->title ?? '' }}
                            </span>
                        </x-link>
                    </div>
                @endforeach
            </section>
        @endif 

        {{-- <section id="social-share-buttons">
            <div class="addthis_inline_share_toolbox_7avh"></div>            
        </section> --}}
    </header>

    <main>
        <x-render-content :content="$item->content" />
                      
        @if (empty($item->content->content_json) && empty($item->content->blurb_json))
            <p class="translation_unavailable">{{ $labelsArr['translation_not_available'] }}</p>
            <p class="translation_unavailable">{{ $labelsArr['switch_to_language'] }}
                @foreach ($item->contents as $content)
                    @if (!$loop->first)
                        {{ $labelsArr['or'] }}
                    @endif
                    <a href="/{{ $content->lang == '*' ? 'en' : $content->lang }}/item/{{ $item->id }}:{{ $content->slug ?? '_' }}">{{ config('app.locales')[$content->lang == '*' ? 'en' : $content->lang] }}</a>
                @endforeach
                {!! __('eiie.home_in_current_language', ['url' => '/'.App::getLocale()] ) !!}
        @endif
       
        @yield('content_additional')
    </main>

    @if (isset($showOpinionDisclaimer) && $showOpinionDisclaimer)
        <section class="opinion_disclaimer">
            <p>{{ $labelsArr['opinion_disclaimer'] }}</p>
        </section>
    @endif

    <footer>
        {{-- <div id="footnotes"></div> --}}
        @if (!empty($item->attachmentGroups[0]) || !empty($item->content->files[0]))
        <div id="attachments">
            @include('shared.attachments')
        </div>
        @endif
        @yield('collections_nav')
    </footer>

</article>
@yield('related_items')

@endsection

@php 
unset($collection);
@endphp

resources/views/main.blade.php
<!DOCTYPE html>
<html lang="{{ App::getLocale() }}">

@section('title', isset($title) ? $title : '')

@section('pageclass')
    @php 
        $route = Route::currentRouteName();
        if ($route) {
            echo 'route-'.str_replace('.','-', $route);
        }
    @endphp 
@endsection 

@include('shared.socials')

<head>
	<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="HandheldFriendly" content="true">
    <title>@yield('title')</title>
    <link rel="preload" href="https://use.typekit.net/scu0unl.css" as="style">

    <link rel="apple-touch-icon" sizes="180x180" href="/icons/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/icons/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/icons/favicon-16x16.png">
    <link rel="manifest" href="/site.webmanifest">
    <link rel="mask-icon" href="/icons/safari-pinned-tab.svg" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="/icons/mstile-144x144.png">
    <meta name="theme-color" content="#ffffff">

    <link rel="stylesheet" href="https://use.typekit.net/scu0unl.css">
    <link rel="stylesheet" type="text/css" href="{{ url('public/css/style.css') }}" />

    @yield('head')
	<!-- <script src="{{ mix('js/script.js') }}"></script> -->
    <script>var WS_PATH ='{{ url('/') }}';</script>
     <script src="{{ url('public/js/script.js')}}"></script>
</head>
<body class="@yield('pageclass')">
    <div class="wrapper">
        <header id="header_page">
            <h1><a href="{{ route('home') }}">Ei-iE</a></h1>
            <div id="navToggle">
            	<span>&nbsp;</span>
            	<span>&nbsp;</span>
            	<span>&nbsp;</span>
            </div>
            <nav id="mainNav">
                <div id="searchBar-mobile">@include('shared.searchBar', ['suffix' => '-mobile'])</div>
                <div id="languageSelector-mobile">@include('shared.language_selector', ['suffix' => '-mobile'])</div>
                <x-primary-navigation />
                <div id="memberNav-mobile" target="_blank"><a href="https://eiie.sharepoint.com/SitePages/HomePage.aspx">{{ $labelsArr['Members only'] }}</a></div>
            </nav>
            {{-- @yield('collections_nav') --}}
            <section id="headerside">
	            <div id="searchBar">@include('shared.searchBar')</div>
	            <div id="languageSelector">@include('shared.language_selector')</div>
                <div id="memberNav" target="_blank"><a href="https://eiie.sharepoint.com/SitePages/HomePage.aspx">{{ $labelsArr['Members only'] }}</a></div>
            </section>
        </header>
		<section id="main_page">
	        @yield('content')
		</section>
        <footer id="footer_page">
            <div class="social-profiles">
                <a href="https://www.facebook.com/educationinternational" target="_blank" rel="noopener" class="social-profile-facebook">Facebook</a>
                <a href="https://twitter.com/eduint" target="_blank" rel="noopener" class="social-profile-twitter">Twitter</a>
                <a href="https://www.youtube.com/user/EduInternational" target="_blank"  rel="noopener" class="social-profile-youtube">YouTube</a>
                <a href="https://soundcloud.com/user-918336677-743440864" target="_blank" rel="noopener" class="social-profile-soundcloud">Soundcloud</a>
            </div>
            <p>
                {!! $labelsArr['footer_licence'] !!}
            </p>
            <p>
                <a href="{{ route('contact.legal-notice') }}">{{ $labelsArr['Legal Notice'] }}</a>
                <a href="{{ route('contact.data-protection-policy') }}">{{ $labelsArr['Data Protection Policy'] }}</a>
            </p>
        </footer>
    </div>
    @include('scripts.load_externals')
</body>
</html>

resources/views/soundcloud.blade.php
@extends('main')

@section('content')
   <div class="no_lead_image"></div> 

    <article class="article_main collection_introduction">
	    <header>
	        <h2>{{ $labelsArr['Podcasts'] }}</h2>
	    </header>
    </article>

    <main id="collection_main" class="collection_default collection_soundcloud">
        
        <ol class="collection_content">
            @foreach ($paginated as $track) 
                @php 
                $embed = \App\Actions\OEmbed::load($track['permalink_url']);
                if (!isset($track['created_at'])) {
                    echo '<!-- ';
                    print_r($track);
                    echo '-->';
                    continue;
                }
                $time = new \Carbon\Carbon($track['created_at']);
                @endphp 
                
                @if ($embed->title)
                <li>
                    <article class="card card-soundcloud">
                        <header>
                            <h3>{{ $track['title'] }}</h3>

                            @include('shared.date', ['date' => $time])
                        </header>    

                        <div class="soundcloud-embed-container">
                            {!! $embed->code->html !!}
                        </div>
                        
                        @if ($track['description'])
                        <div class="card-blurb">
                            <p>
                                {{ $track['description'] }}
                            </p>
                        </div>
                        @endif
                        
                    </article>
                </li>
                @endif
            @endforeach
        </ol>
        {{ $paginated->links() }}
    </main>
	    
@endsection